Ruby 1.9?

0 views
Skip to first unread message

C. Florian Ebeling

unread,
Jul 24, 2009, 4:06:07 AM7/24/09
to Cerberus
Is cerberus ready for running on ruby 1.9? Or, alternatively, does it
use a separate process which could be configured to run a different
interpreter?

Florian

Craig Jolicoeur

unread,
Jul 24, 2009, 9:08:01 AM7/24/09
to cerbe...@googlegroups.com
Hi Florian,

Cerberus is still in the process of being "officially" tested for Ruby
1.9. We have a few users reporting that it works fine, but I'm still
testing it.

There are two options however. You can set the "bin_path" config
option in your config.yml file or individual project.yml files. This
is a full path to where your binaries live?

Also, if you use the ruby builder you can set the specific "ruby_path"
config option. This is probably what you need/want and what users are
using to use cerberus with multiple versions of Ruby.

- Craig

C. Florian Ebeling

unread,
Jul 24, 2009, 10:43:04 AM7/24/09
to cerbe...@googlegroups.com
> Also, if you use the ruby builder you can set the specific "ruby_path"
> config option.  This is probably what you need/want and what users are
> using to use cerberus with multiple versions of Ruby.

Sounds good, cheers!

Florian

--
Florian Ebeling
florian...@gmail.com

Reply all
Reply to author
Forward
0 new messages